package datacenter

import (
	"GtDataStore/app/cmd/organization/pb"
	"context"
	"github.com/jinzhu/copier"

	"GtDataStore/app/cmd/api/internal/svc"
	"GtDataStore/app/cmd/api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type ItemHistoryDataLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewItemHistoryDataLogic(ctx context.Context, svcCtx *svc.ServiceContext) *ItemHistoryDataLogic {
	return &ItemHistoryDataLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *ItemHistoryDataLogic) ItemHistoryData(req *types.MultiAddItemHistoryDataReq) (resp *types.MultiAddItemHistoryDataResq, err error) {
	dataList := make([]*pb.ItemHistoryData, 0)
	for _, line := range req.List {
		tmp := &pb.ItemHistoryData{}
		_ = copier.Copy(tmp, line)
		dataList = append(dataList, tmp)
	}
	_, err = l.svcCtx.OrganizationRpc.MultiAddItemHistoryData(l.ctx, &pb.MultiAddItemHistoryDataReq{
		List: dataList,
	})
	if err != nil {
		return nil, err
	}

	return &types.MultiAddItemHistoryDataResq{}, nil
}
