package handler

import (
	"GtDataStore/app/cmd/organization/internal/logic/job"
	"context"
	"time"
)

const (
	DEVICE_UF    = "uf"
	DEVICE_MF    = "mf"
	DEVICE_NF    = "nf"
	DEVICE_RO    = "ro"
	DEVICE_VALVE = "valve"
	DEVICE_PUMP  = "pump"
	DEVICE_CHEST = "chest"
)

var (
	DeviceIntervalTable = map[string]time.Duration{
		DEVICE_UF:    1 * time.Second,
		DEVICE_MF:    1 * time.Second,
		DEVICE_NF:    1 * time.Second,
		DEVICE_RO:    1 * time.Second,
		DEVICE_VALVE: 1 * time.Second,
		DEVICE_PUMP:  1 * time.Second,
		DEVICE_CHEST: 1 * time.Second,
	}

	DeviceHandlerTable = map[string]func(ctx context.Context, task *job.Task, technologyName string) error{
		DEVICE_UF:    DeviceUf,
		DEVICE_MF:    DeviceMf,
		DEVICE_NF:    DeviceNf,
		DEVICE_RO:    DeviceRo,
		DEVICE_VALVE: DeviceValve,
		DEVICE_PUMP:  DevicePump,
		DEVICE_CHEST: DeviceChest,
	}
)
